Bug 492475 - SELinux is preventing bitlbee (bitlbee_t): ( "read" to ./meminfo (proc_t). | "getattr" to /proc/meminfo (proc_t). )
SELinux is preventing bitlbee (bitlbee_t): ( "read" to ./meminfo (proc_t). |...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-26 17:44 EDT by Michal Nowak
Modified: 2013-03-07 21:05 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-08 06:49:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
SELinux is preventing bitlbee (bitlbee_t) "read" to ./meminfo (proc_t). (2.81 KB, text/plain)
2009-03-26 17:45 EDT, Michal Nowak
no flags Details
SELinux is preventing bitlbee (bitlbee_t) "getattr" to /proc/meminfo (proc_t). (2.84 KB, text/plain)
2009-03-26 17:47 EDT, Michal Nowak
no flags Details

  None (edit)
Description Michal Nowak 2009-03-26 17:44:49 EDT
Description of problem:

I usually can see it when someone sends me msg when I am not online and I receive them when I make account on. The instant msgs are often with diacritic, which might be re-coded, if that matter somehow.


SELinux is preventing bitlbee (bitlbee_t) "read" to ./meminfo (proc_t).
[...]
Raw Audit Messages            

node=assam type=AVC msg=audit(1238094258.370:19): avc:  denied  { read } for  pid=3149 comm="bitlbee" name="meminfo" dev=proc ino=4026531842 scontext=system_u:system_r:bitlbee_t:s0-s0:c0.c1023 tcontext=system_u:object_r:proc_t:s0 tclass=file

node=assam type=SYSCALL msg=audit(1238094258.370:19): arch=40000003 syscall=5 success=yes exit=5 a0=b29a1c a1=0 a2=1b6 a3=b29a1c items=0 ppid=2258 pid=3149 auid=4294967295 uid=495 gid=490 euid=495 suid=495 fsuid=495 egid=490 sgid=490 fsgid=490 tty=(none) ses=4294967295 comm="bitlbee" exe="/usr/sbin/bitlbee" subj=system_u:system_r:bitlbee_t:s0-s0:c0.c1023 key=(null)

--

SELinux is preventing bitlbee (bitlbee_t) "getattr" to /proc/meminfo (proc_t).
[...]
Raw Audit Messages            

node=assam type=AVC msg=audit(1238094258.371:20): avc:  denied  { getattr } for  pid=3149 comm="bitlbee" path="/proc/meminfo" dev=proc ino=4026531842 scontext=system_u:system_r:bitlbee_t:s0-s0:c0.c1023 tcontext=system_u:object_r:proc_t:s0 tclass=file

node=assam type=SYSCALL msg=audit(1238094258.371:20): arch=40000003 syscall=197 success=yes exit=0 a0=5 a1=bfba02e0 a2=b57ff4 a3=96e7ea8 items=0 ppid=2258 pid=3149 auid=4294967295 uid=495 gid=490 euid=495 suid=495 fsuid=495 egid=490 sgid=490 fsgid=490 tty=(none) ses=4294967295 comm="bitlbee" exe="/usr/sbin/bitlbee" subj=system_u:system_r:bitlbee_t:s0-s0:c0.c1023 key=(null)


Version-Release number of selected component (if applicable):

libselinux-python-2.0.78-1.fc10.i386
selinux-policy-targeted-3.5.13-52.fc10.noarch
libselinux-2.0.78-1.fc10.i386
libselinux-devel-2.0.78-1.fc10.i386
libselinux-utils-2.0.78-1.fc10.i386
selinux-policy-3.5.13-52.fc10.noarch

bitlbee-1.2.3-1.fc10.i386

How reproducible:
alway
Comment 1 Michal Nowak 2009-03-26 17:45:44 EDT
Created attachment 336913 [details]
SELinux is preventing bitlbee (bitlbee_t) "read" to ./meminfo (proc_t).
Comment 2 Michal Nowak 2009-03-26 17:47:04 EDT
Created attachment 336914 [details]
SELinux is preventing bitlbee (bitlbee_t) "getattr" to /proc/meminfo (proc_t).
Comment 3 Daniel Walsh 2009-03-26 21:09:01 EDT
Miroslav add

kernel_read_system_state(bitlbee_t)
Comment 4 Miroslav Grepl 2009-03-30 12:28:08 EDT
Fixed in selinux-policy-3.5.13-54.fc10
Comment 5 Michal Nowak 2009-09-04 08:05:42 EDT
Can we close this one?

Note You need to log in before you can comment on or make changes to this bug.